import config from "@/config"
import http from "@/utils/request"

export default {
    list: {
        url: `${config.API_URL}/task/list`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
    job: {
        url: `${config.API_URL}/task/job`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
    save: {
        url: `${config.API_URL}/task/save`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    del: {
        url: `${config.API_URL}/task/del`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    batch: {
        url: `${config.API_URL}/task/batch`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    param: {
        url: `${config.API_URL}/task/param`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    }
}
